package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFGK3Data {

    private Map<String, Object> params;
    
    public MWFGK3Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsCmId() {
        return (String) params.get("RS_CM_ID");
    }

    public String rsItemtype() {
        return (String) params.get("RS_ITEMTYPE");
    }

    public String rsSemanticType() {
        return (String) params.get("RS_SEMANTIC_TYPE");
    }

    public String rsCrtUsr() {
        return (String) params.get("RS_CRT_USR");
    }

    public java.util.Date rsCrtTime() {
        return (java.util.Date) params.get("RS_CRT_TIME");
    }

    public String rsChgUsr() {
        return (String) params.get("RS_CHG_USR");
    }

    public java.util.Date rsChgTime() {
        return (java.util.Date) params.get("RS_CHG_TIME");
    }

    public String rsChckoutUsr() {
        return (String) params.get("RS_CHCKOUT_USR");
    }

    public java.util.Date rsChckoutTime() {
        return (java.util.Date) params.get("RS_CHCKOUT_TIME");
    }

    public String rsIddokumentu() {
        return (String) params.get("RS_IDDOKUMENTU");
    }

    public Long rsIdklienta() {
        return (Long) params.get("RS_IDKLIENTA");
    }

    public String rsKlasifikace() {
        return (String) params.get("RS_KLASIFIKACE");
    }

    public String rsSkartacniznacka() {
        return (String) params.get("RS_SKARTACNIZNACKA");
    }

    public Long rsSkartacnilhuta() {
        return (Long) params.get("RS_SKARTACNILHUTA");
    }

    public String rsDistribuce() {
        return (String) params.get("RS_DISTRIBUCE");
    }

    public String rsPristup() {
        return (String) params.get("RS_PRISTUP");
    }

    public java.util.Date rsDatumskartace() {
        return (java.util.Date) params.get("RS_DATUMSKARTACE");
    }

    public String rsItemreference() {
        return (String) params.get("RS_ITEMREFERENCE");
    }

    public String rsNazevdokumentu() {
        return (String) params.get("RS_NAZEVDOKUMENTU");
    }

    public Long rsTypdokumentu() {
        return (Long) params.get("RS_TYPDOKUMENTU");
    }

    public String rsIdproduktu() {
        return (String) params.get("RS_IDPRODUKTU");
    }

    public String rsNazevproduktu() {
        return (String) params.get("RS_NAZEVPRODUKTU");
    }

    public String rsIdzadosti() {
        return (String) params.get("RS_IDZADOSTI");
    }

    public String rsSkupinaproduktu() {
        return (String) params.get("RS_SKUPINAPRODUKTU");
    }

    public String rsTridaproduktu() {
        return (String) params.get("RS_TRIDAPRODUKTU");
    }

    public String rsSso() {
        return (String) params.get("RS_SSO");
    }

    public String rsStav() {
        return (String) params.get("RS_STAV");
    }

    public String rsNazevdokumentuib() {
        return (String) params.get("RS_NAZEVDOKUMENTUIB");
    }

    public String rsCmVersion() {
        return (String) params.get("RS_CM_VERSION");
    }

    public String rsBinPartId() {
        return (String) params.get("RS_BIN_PART_ID");
    }

    public String rsBinPartVersion() {
        return (String) params.get("RS_BIN_PART_VERSION");
    }

    public String rsIdtransakce() {
        return (String) params.get("RS_IDTRANSAKCE");
    }

    public Long rsPrectenydokument() {
        return (Long) params.get("RS_PRECTENYDOKUMENT");
    }

    public java.util.Date rsDatumprecteni() {
        return (java.util.Date) params.get("RS_DATUMPRECTENI");
    }

    public String rsPrectenosystemem() {
        return (String) params.get("RS_PRECTENOSYSTEMEM");
    }

    public String rsPrecetluzivatel() {
        return (String) params.get("RS_PRECETLUZIVATEL");
    }

    public Long rsEArchiveflag() {
        return (Long) params.get("RS_E_ARCHIVEFLAG");
    }

    public String rsEItemreference() {
        return (String) params.get("RS_E_ITEMREFERENCE");
    }

    public java.util.Date rsEElektronickypodpisDatumplatnostido() {
        return (java.util.Date) params.get("RS_E_ELEKTRONICKYPODPIS__DATUMPLATNOSTIDO");
    }

    public String rsEElektronickypodpisCertifikacniautorita() {
        return (String) params.get("RS_E_ELEKTRONICKYPODPIS__CERTIFIKACNIAUTORITA");
    }

    public String rsECasoverazitkoHash() {
        return (String) params.get("RS_E_CASOVERAZITKO__HASH");
    }

    public java.util.Date rsECasoverazitkoDatumplatnostiod() {
        return (java.util.Date) params.get("RS_E_CASOVERAZITKO__DATUMPLATNOSTIOD");
    }

    public java.util.Date rsECasoverazitkoDatumplatnostido() {
        return (java.util.Date) params.get("RS_E_CASOVERAZITKO__DATUMPLATNOSTIDO");
    }

    public String rsECasoverazitkoCertifikacniautorita() {
        return (String) params.get("RS_E_CASOVERAZITKO__CERTIFIKACNIAUTORITA");
    }

    public String rsKIddokumentu() {
        return (String) params.get("RS_K_IDDOKUMENTU");
    }

    public String rsKKlasifikace() {
        return (String) params.get("RS_K_KLASIFIKACE");
    }

    public String rsKSkartacniznacka() {
        return (String) params.get("RS_K_SKARTACNIZNACKA");
    }

    public Long rsKSkartacnilhuta() {
        return (Long) params.get("RS_K_SKARTACNILHUTA");
    }

    public String rsKDistribuce() {
        return (String) params.get("RS_K_DISTRIBUCE");
    }

    public String rsKPristup() {
        return (String) params.get("RS_K_PRISTUP");
    }

    public java.util.Date rsKDatumskartace() {
        return (java.util.Date) params.get("RS_K_DATUMSKARTACE");
    }

    public Long rsKArchiveflag() {
        return (Long) params.get("RS_K_ARCHIVEFLAG");
    }

    public String rsKItemreference() {
        return (String) params.get("RS_K_ITEMREFERENCE");
    }

    public String rsUIddokumentu() {
        return (String) params.get("RS_U_IDDOKUMENTU");
    }

    public String rsUKrabice() {
        return (String) params.get("RS_U_KRABICE");
    }

    public String rsUDavka() {
        return (String) params.get("RS_U_DAVKA");
    }

    public Long rsUPoradivboxu() {
        return (Long) params.get("RS_U_PORADIVBOXU");
    }

    public String rsUVypujcil() {
        return (String) params.get("RS_U_VYPUJCIL");
    }

    public String rsUUmisteni() {
        return (String) params.get("RS_U_UMISTENI");
    }

    public Long rsUArchiveflag() {
        return (Long) params.get("RS_U_ARCHIVEFLAG");
    }

    public String rsUItemreference() {
        return (String) params.get("RS_U_ITEMREFERENCE");
    }

    public String rsUSlozka() {
        return (String) params.get("RS_U_SLOZKA");
    }

    public String rsUAfbox() {
        return (String) params.get("RS_U_AFBOX");
    }

    public String rsEPodpis() {
        return (String) params.get("RS_E_PODPIS");
    }

    public String rsUCmid() {
        return (String) params.get("RS_U_CMID");
    }

    public java.util.Date rsUChangeddate() {
        return (java.util.Date) params.get("RS_U_CHANGEDDATE");
    }

    public String rsUChangedbyuser() {
        return (String) params.get("RS_U_CHANGEDBYUSER");
    }

    public String rsUCmversion() {
        return (String) params.get("RS_U_CMVERSION");
    }

    public java.util.Date rsUCreateddate() {
        return (java.util.Date) params.get("RS_U_CREATEDDATE");
    }

    public String rsUSemantictype() {
        return (String) params.get("RS_U_SEMANTICTYPE");
    }

    public String rsUItemtype() {
        return (String) params.get("RS_U_ITEMTYPE");
    }

    public String rsUCreatedbyuser() {
        return (String) params.get("RS_U_CREATEDBYUSER");
    }

    public String rsIdnas() {
        return (String) params.get("RS_IDNAS");
    }

    public String rsRok() {
        return (String) params.get("RS_ROK");
    } 

}
